package com.ejie.p06b.datatype.model;

import java.io.Serializable;
import java.util.ArrayList;

import com.ejie.p06b.general.P06BConstantes;

/**
 * XXXX
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (25/02/2008)
 */
public class P06B29T00Datatype implements Serializable {
	
	private String numExp = "";
	private String identificador = "";
	private String tipo = "";
	private String razsoc = "";
	private String nombre = "";
	private String ape1 = "";
	private String ape2 = "";
	private String domici = "";
	private String codmun = "";
	private String locali = "";
	private String codpro = "";
	private String codpst = "";
	private String tipoAtencionCliente = P06BConstantes.P06B_AC_CUENTACONSERVICIO;
	private String telefot = "";
	private String telefom = "";
	private String telefoc = "";
	private String fax1 = "";
	private String fax2 = "";
	private String mail = "";
	private String web = "";
	private int operacion =-1;
	private int aprobado =1;
	private P06B29T00Datatype datos29Originales;
	
	//Lista de personas físicas, para el caso de que el defensor del cliente lo desenpeñe una persona jurídica
	//Objetos de la tabla P06B30T00
	private ArrayList listaPF_DefCliente = new ArrayList(); 
	
	public boolean isEmpty() {
		if(domici.trim().equals("")
				&& codmun.trim().equals("")
				&& locali.trim().equals("")
				&& codpro.trim().equals("")
				&& codpst.trim().equals("")
				&& telefot.trim().equals("")
				&& telefom.trim().equals("")
				&& telefoc.trim().equals("")
				&& fax1.trim().equals("")
				&& fax2.trim().equals("")
				&& mail.trim().equals("")
				&& web.trim().equals("")				
				&& identificador.trim().equals("")
				&& tipo.trim().equals("")
				&& razsoc.trim().equals("")
				&& nombre.trim().equals("")
				&& ape1.trim().equals("")
				&& ape2.trim().equals("")
		)
			return true;
		return false;
	}	
	
	/**
	 * @return Returns the numExp.
	 */
	public String getNumExp() {
		return numExp;
	}
	/**
	 * @param numExp The numExp to set.
	 */
	public void setNumExp(String numExp) {
		this.numExp = numExp;
	}

	/**
	 * @return Returns the identificador.
	 */
	public String getIdentificador() {
		return identificador;
	}
	/**
	 * @param identificador The identificador to set.
	 */
	public void setIdentificador(String identificador) {
		this.identificador = identificador;
	}

	/**
	 * @return Returns the tipo.
	 */
	public String getTipo() {
		return tipo;
	}
	/**
	 * @param tipo The tipo to set.
	 */
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}

	/**
	 * @return Returns the razsoc.
	 */
	public String getRazsoc() {
		return razsoc;
	}
	/**
	 * @param razsoc The razsoc to set.
	 */
	public void setRazsoc(String razsoc) {
		this.razsoc = razsoc;
	}

	/**
	 * @return Returns the nombre.
	 */
	public String getNombre() {
		return nombre;
	}
	/**
	 * @param nombre The nombre to set.
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	/**
	 * @return Returns the ape1.
	 */
	public String getApe1() {
		return ape1;
	}
	/**
	 * @param ape1 The ape1 to set.
	 */
	public void setApe1(String ape1) {
		this.ape1 = ape1;
	}
	
	/**
	 * @return Returns the ape2.
	 */
	public String getApe2() {
		return ape2;
	}
	/**
	 * @param ape2 The ape2 to set.
	 */
	public void setApe2(String ape2) {
		this.ape2 = ape2;
	}
	
	/**
	 * @return Returns the domici.
	 */
	public String getDomici() {
		return domici;
	}
	/**
	 * @param domici The domici to set.
	 */
	public void setDomici(String domici) {
		this.domici = domici;
	}
	
	/**
	 * @return Returns the codmun.
	 */
	public String getCodmun() {
		return codmun;
	}
	/**
	 * @param codmun The codmun to set.
	 */
	public void setCodmun(String codmun) {
		this.codmun = codmun;
	}
	
	/**
	 * @return Returns the locali.
	 */
	public String getLocali() {
		return locali;
	}
	/**
	 * @param locali The locali to set.
	 */
	public void setLocali(String locali) {
		this.locali = locali;
	}
	
	/**
	 * @return Returns the codpro.
	 */
	public String getCodpro() {
		return codpro;
	}
	/**
	 * @param codpro The codpro to set.
	 */
	public void setCodpro(String codpro) {
		this.codpro = codpro;
	}
	/**
	 * @return Returns the codpst.
	 */
	public String getCodpst() {
		return codpst;
	}
	/**
	 * @param codpst The codpst to set.
	 */
	public void setCodpst(String codpst) {
		this.codpst = codpst;
	}
	
	/**
	 * @return the tipoAtencionCliente
	 */
	public String getTipoAtencionCliente() {
		return tipoAtencionCliente;
	}

	/**
	 * @param tipoAtencionCliente the tipoAtencionCliente to set
	 */
	public void setTipoAtencionCliente(String tipoAtencionCliente) {
		this.tipoAtencionCliente = tipoAtencionCliente;
	}

	/**
	 * @return Returns the fax1.
	 */
	public String getFax1() {
		return fax1;
	}
	/**
	 * @param fax1 The fax1 to set.
	 */
	public void setFax1(String fax1) {
		this.fax1 = fax1;
	}
	/**
	 * @return Returns the fax2.
	 */
	public String getFax2() {
		return fax2;
	}
	/**
	 * @param fax2 The fax2 to set.
	 */
	public void setFax2(String fax2) {
		this.fax2 = fax2;
	}

	/**
	 * @return Returns the mail.
	 */
	public String getMail() {
		return mail;
	}
	/**
	 * @param mail The mail to set.
	 */
	public void setMail(String mail) {
		this.mail = mail;
	}

	/**
	 * @return Returns the telefoc.
	 */
	public String getTelefoc() {
		return telefoc;
	}
	/**
	 * @param telefoc The telefoc to set.
	 */
	public void setTelefoc(String telefoc) {
		this.telefoc = telefoc;
	}
	/**
	 * @return Returns the telefom.
	 */
	public String getTelefom() {
		return telefom;
	}
	/**
	 * @param telefom The telefom to set.
	 */
	public void setTelefom(String telefom) {
		this.telefom = telefom;
	}
	/**
	 * @return Returns the telefot.
	 */
	public String getTelefot() {
		return telefot;
	}
	/**
	 * @param telefot The telefot to set.
	 */
	public void setTelefot(String telefot) {
		this.telefot = telefot;
	}

	/**
	 * @return Returns the web.
	 */
	public String getWeb() {
		return web;
	}
	/**
	 * @param web The web to set.
	 */
	public void setWeb(String web) {
		this.web = web;
	}
	
	/**
	 * @return the operacion
	 */
	public int getOperacion() {
		return operacion;
	}

	/**
	 * @param operacion the operacion to set
	 */
	public void setOperacion(int operacion) {
		this.operacion = operacion;
	}

	/**
	 * @return the aprobado
	 */
	public int getAprobado() {
		return aprobado;
	}

	/**
	 * @param aprobado the aprobado to set
	 */
	public void setAprobado(int aprobado) {
		this.aprobado = aprobado;
	}

	/**
	 * @return the datos29Originales
	 */
	public P06B29T00Datatype getDatos29Originales() {
		return datos29Originales;
	}

	/**
	 * @param datos29Originales the datos29Originales to set
	 */
	public void setDatos29Originales(P06B29T00Datatype datos29Originales) {
		this.datos29Originales = datos29Originales;
	}

	/**
	 * @return Returns the listaPF_DefCliente.
	 */
	public ArrayList getListaPF_DefCliente() {
		return listaPF_DefCliente;
	}
	/**
	 * @param listaPF_DefCliente The listaPF_DefCliente to set.
	 */
	public void setListaPF_DefCliente(ArrayList listaPF_DefCliente) {
		this.listaPF_DefCliente = listaPF_DefCliente;
	}

	/**
	 * @return Returns the nombre.
	 */
	public String getDenominacionCompleta() {
		String denominacion = "";
		if (getTipo().equals(P06BConstantes.P06B_PERSONA_FISICA)){
			if (!"".equals(getApe1().trim())){
				denominacion = denominacion + getApe1().trim(); 
			}
			if (!"".equals(getApe2().trim())){
				if (!"".equals(denominacion.trim())){
					denominacion = denominacion + " "; 
				}
				denominacion = denominacion + getApe2().trim(); 
			}
			if (!"".equals(getNombre().trim())){
				if (!"".equals(denominacion.trim())){
					denominacion = denominacion + ", "; 
				}
				denominacion = denominacion + getNombre().trim(); 
			}
		}else{
			denominacion = getRazsoc().trim();			
		}
		return denominacion;
	}
	
}
